<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhentao.mapper.AdminPermissionMapper">

    <resultMap id="BaseResultMap" type="com.zhentao.entity.AdminPermission">
            <id property="id" column="id" />
            <result property="permissionName" column="permission_name" />
            <result property="permissionCode" column="permission_code" />
            <result property="path" column="path" />
            <result property="method" column="method" />
            <result property="description" column="description" />
            <result property="parentId" column="parent_id" />
            <result property="sortOrder" column="sort_order" />
            <result property="status" column="status" />
            <result property="createTime" column="create_time" />
            <result property="updateTime" column="update_time" />
    </resultMap>

    <sql id="Base_Column_List">
        id,permission_name,permission_code,path,method,description,
        parent_id,sort_order,status,create_time,update_time
    </sql>
</mapper>
